Subject: Re: [RFC PATCH v4 net-next 00/23] add support for VSC75XX control over SPI

From: Andy Shevchenko <[email-masked]>
Date: Tue, 16 Nov 2021 19:05:11 +0200

On Tue, Nov 16, 2021 at 07:04:04AM -0800, Colin Foster wrote:
> On Tue, Nov 16, 2021 at 12:34:17PM +0200, Andy Shevchenko wrote:
> > On Mon, Nov 15, 2021 at 10:23:05PM -0800, Colin Foster wrote:
> > > My apologies for this next RFC taking so long. Life got in the way.
> > > 
> > > The patch set in general is to add support for the VSC7511, VSC7512,
> > > VSC7513 and VSC7514 devices controlled over SPI. The driver is
> > > relatively functional for the internal phy ports (0-3) on the VSC7512.
> > > As I'll discuss, it is not yet functional for other ports yet.
> > 
> > Since series touches fwnode, please Cc next time to Daniel Scally.
> 
> Thank you. I will do this next time.
> 
> For my future reference, is there a way that I could have known this? Or
> is this just knowledge that comes with experience? The email list I got
> was from running the patch set through get_maintainers.

It's just an ad-hoc since there are a few independent teams are doing
something that related to fwnode APIs: Daniel due to camera work for ACPI
enabled platforms, Qian due to a design bug with fwnode, Anand due to IIO
drivers, you are due to PHY (and possibly others I have no knowledge about).

I haven't asked for the others I listed above since their work probably
doesn't cross what you are doing, but camera might be closer.

> > It also appears [1] that somewhere in PHY code a bug is hidden
> > (at least I think so).
> 
> Thank you for this information. I'll keep an eye out!
> 
> > [1]: https://lore.kernel.org/lkml/[email-masked]/T/#u

-- 
With Best Regards,
Andy Shevchenko